Bug 208259 - German translation oddities
German translation oddities
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-09-27 09:25 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-02 11:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-09-27 09:25:33 EDT
The German pirut translation turns the menu items into

"Datei (_F)" and "Ansicht (_V)"

which shows a total misunderstanding of how mnemonics work.
It should be

"_Datei" and "_Ansicht"
Comment 1 Chester Cheng 2006-09-27 11:08:16 EDT
They come from "_File" and "_View".  The short cut keys are "_F" and "_V".

If the translation changes to "_D" and "_A", will the short cut keys changes to
"_D" and "_A" as well, or still in "_F" and "_V"?

I asked Tagoh who says that the shortcut keys will change.  However, changes may
cause conflicts with other shortcut keys.  What do programmers say?
Comment 2 Matthias Clasen 2006-09-27 11:16:38 EDT
Well, part of the task of translating menu items is to come up with a good
set of nonconflicting mnemonics. But even if a conflict should occur, the
toolkit handles it just fine (by cycling between the conflicting items).

Anyway, if you look at any other German ui on the desktop, it uses 
"_Datei" and _Ansicht". The workaround to use a "(_V)" suffix is used
only for CJK languages, and it is not done to keep the original mnemonics
unchanged, but to have mnemonics that are actually represented on the keyboard
(since the label in this case will consist of CJK characters which do not
directly correspond to keys on your keyboard)
Comment 3 Chester Cheng 2006-09-27 11:52:04 EDT

Thanks for your comments which make things clear.
Timo, sorry for the previous wrong info.  Can you change to _Datei and _Ansicht
in the pirut/ module please?

Comment 4 Timo Trinks 2006-09-27 18:54:08 EDT
(In reply to comment #0)
> The German pirut translation turns the menu items into
> "Datei (_F)" and "Ansicht (_V)"
> which shows a total misunderstanding of how mnemonics work.
> It should be "_Datei" and "_Ansicht"

It wasn't an intentional misunderstanding of how mnemonics work. As in some
cases translated menue items simply differ completely from the English version
(as in File and Datei) there's no way to keep the original shortcut. That's why
I asked other language maintainers how they handle it and they came up with the
idea to add the original shortcut in brackets. 

I changed it back to the way you prefer it in the pirut module (already committed). 

This will most certainly affect other modules as well so I will have to go
through all modules again.

Note You need to log in before you can comment on or make changes to this bug.